SparrowDesk
Contact fields

List all contact fields

Returns contact fields along with the IDs of their field options. Requires "view contacts" scope.

GET
/contacts/fields
AuthorizationBearer <token>

In: header

Query Parameters

starting_after?string

Cursor from previous response

per_page?integer
Default25
Range1 <= value <= 100
is_active?boolean
is_default?boolean

Response Body

application/json

application/json

application/json

curl -X GET "https://app.sparrowdesk.com/v1/contacts/fields"
{
  "data": [
    {
      "id": 100000144,
      "name": "Priority Level",
      "type": "dropdown",
      "internal_name": "priority_level",
      "description": "Customer priority tier",
      "is_active": true,
      "is_default": false,
      "field_options": [
        {
          "id": 24,
          "name": "Low",
          "position": 1
        }
      ],
      "created_at": 1781455256,
      "updated_at": 1781455256
    }
  ],
  "pages": {
    "per_page": 25,
    "next_cursor": "eyJjcmVhdGVkX2F0IjoiMjAyNS0wMS0xNVQwNjowMzowOS4zMThaIiwiaWQiOjEwMDAwMDA5Nn0=",
    "next_url": "https://api.sparrowdesk.com/contacts/fields?per_page=25&starting_after=eyJjcmVhdGVkX2F0IjoiMjAyNS0wMS0xNVQwNjowMzowOS4zMThaIiwiaWQiOjEwMDAwMDA5Nn0="
  },
  "total_count": 12
}
{
  "error": {
    "message": "Invalid query parameters"
  }
}
{
  "error": {
    "message": "Error while fetching contact fields"
  }
}